Page MenuHomePhabricator

Add TLS To Diffs Related DAG
Closed, ResolvedPublic8 Estimated Story Points

Description

Need to add TLS support for all gRPC communication between Scheduler and Diffs service so we can be sure there's no possibility for man in the middle attack or credentials leak.

Related Objects

StatusSubtypeAssignedTask
ResolvedJArguello-WMF
ResolvedNone
Resolvedprabhat

Event Timeline

Protsack.stephan renamed this task from Add TLS To Diffs Related DAGs to Add TLS To Diffs Related DAG.Dec 7 2021, 6:54 PM
Protsack.stephan raised the priority of this task from Low to Medium.Jul 28 2022, 12:47 PM
Lena.Milenko changed the task status from Open to In Progress.Aug 25 2022, 11:12 AM
AnnaMikla changed the task status from In Progress to Open.Oct 28 2022, 12:29 PM
HShaikh subscribed.

This was resolved in an earlier checkin